Bug 1185111 - [abrt] duplicity: getpass.py:135:_raw_input:EOFError
Summary: [abrt] duplicity: getpass.py:135:_raw_input:EOFError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:79c9abc9d84883be25c05f18c5c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 23:08 UTC by Jeremy Harris
Modified: 2015-12-02 17:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:52:25 UTC


Attachments (Terms of Use)
File: backtrace (896 bytes, text/plain)
2015-01-22 23:08 UTC, Jeremy Harris
no flags Details
File: environ (1.45 KB, text/plain)
2015-01-22 23:08 UTC, Jeremy Harris
no flags Details

Description Jeremy Harris 2015-01-22 23:08:55 UTC
Description of problem:
Ran a backup, triggered from menu.  Seemed to run as normal, including the usual "can't back up these few files" end report.

Version-Release number of selected component:
duplicity-0.6.24-4.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/duplicity cleanup --force sftp://jgh@hudson/data2/laptop_backups --gio --no-encryption --verbosity=9 --gpg-options=--no-use-agent --archive-dir=/home/jgh/.cache/deja-dup --tempdir=/var/tmp --log-fd=12
dso_list:       python-libs-2.7.8-7.fc21.x86_64
executable:     /usr/bin/duplicity
kernel:         3.17.8-300.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
getpass.py:135:_raw_input:EOFError

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/duplicity/backends/giobackend.py", line 60, in ask_password_cb
    self.set_password(self.backend.get_password())
  File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 486, in get_password
    (self.parsed_url.username,self.parsed_url.hostname) )
  File "/usr/lib64/python2.7/getpass.py", line 83, in unix_getpass
    passwd = fallback_getpass(prompt, stream)
  File "/usr/lib64/python2.7/getpass.py", line 118, in fallback_getpass
    return _raw_input(prompt, stream)
  File "/usr/lib64/python2.7/getpass.py", line 135, in _raw_input
    raise EOFError
EOFError

Local variables in innermost frame:
input: <open file '<stdin>', mode 'r' at 0x7fb024af40c0>
line: ''
prompt: "Password for 'jgh@bkupbox': "
stream: <open file '<stderr>', mode 'w' at 0x7fb024af41e0>

Potential duplicate: bug 862503

Comment 1 Jeremy Harris 2015-01-22 23:08:58 UTC
Created attachment 983101 [details]
File: backtrace

Comment 2 Jeremy Harris 2015-01-22 23:08:59 UTC
Created attachment 983102 [details]
File: environ

Comment 3 Fedora Admin XMLRPC Client 2015-02-26 20:53:44 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-11-04 13:25:01 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 07:52:28 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.